# Licensed Materials - Property of IBM
#
# (C) Copyright IBM Corp. 2009, 2011 All Rights Reserved
#
# US Government Users Restricted Rights - Use, duplicate or
# disclosure restricted by GSA ADP Schedule Contract with
# IBM Corp.

BEGIN  {
  FS=":"
  split(v, args)
  drive1=args[1]
  drive2=args[2]
}

# Non dump mirrors
$7 ~ /mirror/ && $7 !~ /dump/ {
  print drive1 $1 " " $2
}

# Dump mirrors
$7 ~ /mirror/ && $7 ~ /dump/ {
  # if the drives are not the 
  # then we have a seperate dump
  if (drive1 == drive2) {
    print drive2 $1 " " $2
  } else {
    # the drive number will always be 1
    print drive2 1 " " $2
  }
}
